
QGIS Application - Bug report #17640

GitHub PR template has broken link

2017-12-05 08:40 PM - Sandro Santilli

Status: Closed

Priority: High

Assignee: Richard Duivenvoorde

Category: Documentation and Help

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25537

Description

The PR template recommends you to read

https://docs.qgis.org/testing/en/docs/developers_guide/codingstandards.html

But that URL is a 404

I've no idea which "Category" to assign to this ticket... (maybe it should not even be on this tracker..)

History

#1 - 2017-12-06 09:02 AM - Harrissou Santanna

- Assignee changed from Yves Jacolin to Richard Duivenvoorde

Yes, it's an issue related to recent move from http to https. https://docs.qgis.org leads to qgis.org instead of documentation site.

#2 - 2017-12-06 09:07 AM - Yves Jacolin

Anyways, this link is for developper so if we want to doc contributors read something, it should be 

http://docs.qgis.org/testing/en/docs/documentation_guidelines/ instead.

#3 - 2017-12-06 09:24 AM - Harrissou Santanna

Yves Jacolin wrote:

Anyways, this link is for developper so if we want to doc contributors read something, it should be 

http://docs.qgis.org/testing/en/docs/documentation_guidelines/ instead.

It's the right link; the target are devs and not doc contributors. The context is 

https://github.com/qgis/QGIS/blob/master/.github/PULL_REQUEST_TEMPLATE.md

#4 - 2017-12-06 10:01 AM - Richard Duivenvoorde

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Easy fix? changed from No to Yes

- Pull Request or Patch supplied changed from No to Yes
Hi, sorry. I wasn't sure if we would make documentation website 100% https. 

So I did not create a letsencrypt certificate for it yet...

Now I have:

Both:

https://docs.qgis.org/testing/en/docs/developers_guide/codingstandards.html

and

http://docs.qgis.org/testing/en/docs/developers_guide/codingstandards.html

work now: pointing to https site (letsencrypt certificates)

docs.qgis.org is indeed pointing to the 'index' page of documentation. I think that is ok for now.
